.if \n(.g \{\ 
.warn 0
.fp 5 B
.ftr C Bn\}
.BG
.FN  ranks 
.TL
Quantile Regression Ranks
.DN
Function to compute ranks from the  dual  (regression  rankscore) process.
.CS
ranks(v, score="wilcoxon", tau=0.5)
.RA
.AG v
object of class rq.process generated by rq()
.OA
.AG score
The score function desired.  Currently  implemented score  functions  
are "wilcoxon", "normal", and "sign" which are asymptotically optimal  for  
the  logistic,  Gaussian  and Laplace location shift models respectively.
Also implemented are the "tau" which generalizes sign scores to an
arbitrary quantile, and "interquartile" which is appropriate
for tests of scale shift.
.AG tau
the optional value of tau if the "tau" score function is used.
.nr XX 0
.ft 1
.fi
.in .75i
.sp
.ti 0
.ta .75i 1i 1.25i 1.5i 1.75i 2i
VALUE:\t\c
.br
The function returns two components one is the ranks,  the
other is a scale factor which is the L_2 norm of the score
function.  All score functions  should  be  normalized  to have mean zero.
.DT
See GJKP(1993) for further details.  
.SH REFERENCES 
Gutenbrunner, C., J. Jureckova,  Koenker, R. and  Portnoy,
S.(1993)  Tests  of Linear Hypotheses  based on Regression
Rank Scores", Journal of  Nonparametric  Statistics,  (2), 307-331.
.SA
rq, rrs.test
.EX
ranks(rq(stack.loss~stack.x,tau=-1))
.KW
Regression, ranks, tests
.SH Documentation Class
function
.WR
